Skip to navigation

Push a stored location to a partner eMSP

Sends a stored location to a partner eMSP (PUT to its Locations module). partner_id is the roaming partner id (roaming_partner_id), not the operation id from GET /ocpi/partners.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionenumRequired

OCPI version: 211 (2.1.1), 221 (2.2.1) or 230 (2.3.0).

Allowed values:
location_idstringRequired1-36 characters

Query parameters

partner_idintegerRequired>=1

Roaming partner to talk to (from GET /ocpi/partners).

Response

Successful Response
partner_idinteger or nullOptional
modulestring or nullOptional
object_idstring or nullOptional
statusenum or nullOptional
Allowed values:
http_statusinteger or nullOptional
ocpi_status_codeinteger or nullOptional
duration_msinteger or nullOptional
errorstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error